### Method

# CM Pusher set_pushkey

since: 0.0.1

#### Declaration [src]

    void
    cm_pusher_set_pushkey (
      CmPusher* self,
      const char* pushkey
    )

#### Description [src]

Set the pushkey for this pusher. The pushkey is a unique identifier for this pusher.

Available since: 0.0.1

#### Parameters

`pushkey`

  Type: `const char*`

  The pushkey to set.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.